<?php
require($_SERVER['DOCUMENT_ROOT'] . "/outofprint_v2/config/config.php");
require(OCI_FNX);
db_connect();

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Add Accounts for Public OOP Report</title>
<link href="../scripts/oop.css" rel="stylesheet" type="text/css" />
</head>

<body>
<div id="header">
<img src="../images/mhp_4c_c_p_01.jpg" width="990" height="78" />
</div>
<?php include("../templates/admin_nav.php"); ?>
<br />
<br />
<div id="body-container">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td class="header1">OUT OF PRINT REPORT - Add Public Accounts</td>
    </tr>
  </table>
<?php
if (isset($_POST['Submit'])) {
	
	if (strlen($_POST['email']) < 5) {
		echo $_oopConfig['msg007'];
	} else {
		// split the account info by line into arrays
		$email = readtoarray("\n", $_POST['email']);
		
		// save to session
		$_SESSION['email'] = $email;
	
		
		echo '
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td align="center" class="header2">E-mail</td>
		  </tr>';
		  
		for ($i=0;$i<count($email);$i++) {
			if (checkDuplicateEmail(trim($email[$i]))) {
				echo '<tr><td valign="top">'.$email[$i].'</td></tr>';
			} else {
				echo '<tr class="dupemail"><td valign="top">'.$email[$i].' [DUPLICATE, will be ignored.]</td></tr>';
				// remove the duplicate entries
				unset($_SESSION['email'][$i]);
			}
		}
		
		echo '<tr>
			<td align="right">
			<form method="post" action="">
			<input type="button" name="button" id="button" value="Cancel" onclick="javascript:window.history.go(-1);" />
			<input type="submit" name="Add" id="Add" value="Add to Database" />
			</form>
			</td>
			</tr>
			</table>';
	}
	
} elseif (isset($_POST['Add'])) { // add to db
	
	foreach ($_SESSION['email'] as $email) {
		$data = array(
						'ID'            => '',
						'E_MAIL'        => clean($email),
						'UNSUBSCRIBE'   => "N",
						'HASHED_E_MAIL' => hash('sha1', clean($email))
						
					);
		
		$stmt = db_perform('WEB_OUT_OF_PRINT_NOTIFY', $data, $action = 'insert');
		
		if (!$stmt) {
			echo "Unable to add email ".$email."<br>";
		} else {
			echo "Successfully added email ".$email."<br>";
		}
	}
	if (count($_SESSION['email']) < 1) {
		echo $_oopConfig['msg007'];
	}

} else {
?>
<br />
Instructions: Separate email accounts by a new line.  One email account per line. 
<br />
<?php
	$sql = "SELECT DISTINCT COUNT (*) SUBSCRIBED,
                (SELECT COUNT (*)
                   FROM WEB_OUT_OF_PRINT_NOTIFY
                  WHERE UNSUBSCRIBE = 'Y') UNSUBSCRIBED,
                (SELECT COUNT (*)
                   FROM WEB_OUT_OF_PRINT_NOTIFY
                  WHERE STATUS = 0) STATUS
           FROM WEB_OUT_OF_PRINT_NOTIFY
          WHERE UNSUBSCRIBE = 'N'
       GROUP BY UNSUBSCRIBE";
				   
	$stmt = db_query($sql);
	$results = db_results($stmt);
	echo 'There are <strong>'.$results['SUBSCRIBED'][0].'</strong> Subscribed Accounts and <strong>'.$results['UNSUBSCRIBED'][0].'</strong> Unsubscribed Accounts. <strong>'.$results['STATUS'][0].'</strong> accounts were also disabled because of bounce back.';
?>
<br />
<br />
<form method="post" action="">  
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td align="center" valign="middle" class="header2">E-Mail Address</td>
  </tr>
  <tr>
    <td align="center" valign="top"><textarea name="email" rows="20" wrap="off" id="email"></textarea></td>
  </tr>
  <tr>
    <td colspan="5" align="right" valign="top"><input type="submit" name="Submit" id="Submit" value="Preview" /></td>
    </tr>
</table>
</form><?php
}
?>
</div>
</body>
</html>
