<?php
/*
	CREATED BY: Yasser Khan
	Date: Feb 13th 2008
	
	Runs as a cron job, and sends email to all address from
	database to recieve notification of the OOP listings
	
	THIS IS THE NON_CUSTOM REPORT
	
*/
require($_SERVER['DOCUMENT_ROOT'] . "/outofprint_v2/config/config.php");
require(OCI_FNX);
require(MAILER);

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Out of Print Notification - Non Custom Report Notification</title>
</head>

<body>

<h1>Out of Print Notification - Non Custom Report Notification</h1><br />
  <br />
  <form action="" method="post">
  <input type="submit" name="Submit" id="Submit" value="Send Notification" onclick="return confirm('Are you sure you want to do this?\nOkay, just making sure.');"/>
  </form>
<?php
if (isset($_POST['Submit'])) {
		db_connect();
	
	//$sql = "SELECT E_MAIL FROM WEB_OUT_OF_PRINT_NOTIFY WHERE UNSUBSCRIBE = 'N'";
	$sql = "SELECT E_MAIL FROM WEB_OUT_OF_PRINT_NOTIFY WHERE UNSUBSCRIBE = 'N' AND STATUS=1 AND LAST_NOTIFY < SYSDATE-1";

	$stmt = db_query($sql);
	$results = db_results($stmt);
	
	$stmt = db_query($sql);
	$num_rows = db_num_rows($stmt);
	/**
     * Setting limit to number of recipients
     * @see https://jira.mheducation.com/browse/ICAB-638
     */
    $limit = $num_rows;

	/*
		BEGIN PHP MAILER
		Routine
	*/
	
	$mail = new PHPMailer();
	//$mail->IsSMTP();
	$mail->IsHTML(true);
	//$mail->SMTPKeepAlive = true; //keeps connection open
	

	//set the From email address
	$mail->From     = "webmaster@mcgrawhill.ca";
	$mail->FromName = "Ryerson, Webmaster";
	$mail->Subject = "McGraw-Hill Out of Print Notification - ".date('l dS \of F Y');
	
	// set counter to count sucessfull emails sent
	$counter = 0;
	//for ($i=0;$i<count($results['E_MAIL']);$i++) {
	for ($i=0;$i<$limit;$i++) { // to send to the first 5
		
		/*
			hash the row id for the unsubscribe link
			this ensures that if for whatever reason there
			are two reports going to the same email
			we only unsubscribe the one that corresponds
			to the row id
		*/
		$hashed_email = hash('sha1', $results['E_MAIL'][$i]);
		
		// load the email address
		$mail->AddAddress(trim($results['E_MAIL'][$i]));
		//$mail->AddAddress("yasserk@mcgrawhill.ca"); //to send to myself first
		
		//include the template file
		require($_SERVER['DOCUMENT_ROOT'] . "/outofprint_v2/templates/oop_email_notify.php");
		$mail->Body = $oop_email_body;
		$mail->AltBody = strip_tags($oop_email_body_plain); // plain text version
		
		// send the email
		if ($mail->Send()) {
			updateLastNotify($results['E_MAIL'][$i], 'public');
		}
		
		if (!$mail->ErrorInfo) {
			$counter++; // increment counter
		} else {
			sendErrorMail("Failed to send oop notify!", "couldn't send (".$results['E_MAIL'][$i].") the oop report for some reason, please check cron job file or get help.\n\n\n\n" . $mail->ErrorInfo);
		}
		
		$mail->ClearAddresses(); //  is it not clear enough?
		
	}
	
	//$mail->SmtpClose();
	echo $counter . " sent successfullly!";

}
?>


</body>
</html>
