<?php
require($_SERVER['DOCUMENT_ROOT'] . "/outofprint_v2/config/config.php");
require(OCI_FNX);
db_connect();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Edit Accounts for Custom OOP Report</title>
<link href="../scripts/oop.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="body-container">
<div class="header1">Edit Account Info</div>
<?php
if (isset($_POST['Submit'])) {

	$data = array(
					'ACCOUNT_NUMBER'        => clean($_POST['account']),
					'E_MAIL'                => clean($_POST['email']),
					'BILLTO_OR_SHIPTO'      => clean($_POST['billtoshipto']),
					'CUSTOMER_NAME'         => clean($_POST['name']),
					'HASHED_ACCOUNT_NUMBER' => hash('sha1', $_POST['account']),
				);
	
	$stmt = db_perform('WEB_OUT_OF_PRINT_CUSTOM', $data, 'update', 'ACCOUNT_ID='.$_SESSION['editid']);
	if ($stmt) {
		echo 'Successfuly updated. <a href="javascript:window.close();">Close window</a>.';	
	} else{
		echo 'Could not update this Account, please try again.';	
	}

} elseif (isset($_GET['editid'])) {
	$id = clean($_GET['editid']);
	if (!is_numeric($id)) exit();
	$_SESSION['editid'] = $id;
	
	$sql = "select * from WEB_OUT_OF_PRINT_CUSTOM where ACCOUNT_ID='".$id."'";
	$stmt = db_query($sql);
	$results = db_results($stmt);
	
	if (!$stmt) {
		echo 'Could not load this Account,  <a href="javascript:window.close();">Close window</a>.';
	} else {
?>
<form method="post" action="?">
  <table width="100%" border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td width="130">Account Number:</td>
      <td><input name="account" type="text" id="account" value="<?php echo $results['ACCOUNT_NUMBER'][0]; ?>" /></td>
    </tr>
    <tr>
      <td>Bill to or Ship to:</td>
      <td><input name="billtoshipto" type="text" id="billtoshipto" value="<?php echo $results['BILLTO_OR_SHIPTO'][0]; ?>" /></td>
    </tr>
    <tr>
      <td>Name:</td>
      <td><input name="name" type="text" id="name" value="<?php echo $results['CUSTOMER_NAME'][0]; ?>" size="50" /></td>
    </tr>
    <tr>
      <td>E-mail:</td>
      <td><input name="email" type="text" id="email" value="<?php echo $results['E_MAIL'][0]; ?>" size="50" /></td>
    </tr>
    <tr>
      <td colspan="2" align="right"><input type="button" name="Button" id="button" value="Cancel" onclick="javascript:window.close();" /> 
        <input type="submit" name="Submit" id="button" value="Save" /></td>
      </tr>
  </table>
</form>
<?php	
	}
}
?>
</div>
</body>
</html>
