<?php
require($_SERVER['DOCUMENT_ROOT'] . "/outofprint_v2/config/config.php");
require(OCI_FNX);
db_connect();

require($_SERVER['DOCUMENT_ROOT'] . "/web_includes/Spreadsheet/Excel/Writer.php");

	$query = trim(strip_tags($_GET['q']));
	$exploded_query = explode(",", $query);
	
	// get the hashed Acount Number, the period and bill to or ship to
	$hashedAcountNumber = $exploded_query[0];
	$period = $exploded_query[1];
	$billto_or_shipto = $exploded_query[2];
	$type = $exploded_query[3];


	//exit the page if the account number is invalid
	
	$accountNumber = getAccountNumber($hashedAcountNumber);
	if ($accountNumber) {
		if ($billto_or_shipto == 1) {
			$billtoorshipto = 'ship';
		} else {
			$billtoorshipto = 'bill';
		}
		// exit the page if the account number is invalid
		/*
			THIS CHECK HAS BEEN TURNED OFF
			BECAUSE CURRENTLY THE DATA NEEDED TO 
			VERIFY ACCOUNT NUMBERS IS NOT INCLUDED
			IN THE WEB_OUT_OF_PRINT TABLE IF THE CUSTOMER
			DOESNOT HAVE ANY TITLES GOOP or OOP
			
			RUSSELL needs to make all of these account numbers
			available so that the App can validate them regardless
			of there being any data
			
		if (!checkAccount($accountNumber, $billtoorshipto)) {
			echo $_oopConfig['msg001'];
			sendErrorMail("checkAccount failed on $accountNumber");
			exit();
		}
		*/
	} else {
		echo $_oopConfig['msg001'];
		sendErrorMail("getAccountNumber failed on $hashedAcountNumber");
		exit();
	}

	
	$account_name = get_account_name($accountNumber, $billto_or_shipto);
	$account_name = trim(str_replace(" ", "-", $account_name));


	if ($period == 90) {
		$sql_and_statement = "AND OUT_OF_PRINT_DATE >= SYSDATE-90";
		$filename = "mhr_oop_" . $account_name . "_90_days";
			
		$workbook_title  = date("m-d-Y") . " to " . date('m-d-Y',mktime(0, 0, 0, date('m')-3, date('d'), date('Y')));
		$workbook_head = str_replace("-", " ", $account_name) . " " . $workbook_title;
		
	} else {
		$sql_and_statement = NULL;
		$filename = "mhr_oop_" . $account_name . "_12_months";
		
		$workbook_title  = date("m-d-Y") . " to " . date('m-d-Y',mktime(0, 0, 0, date('m')-12, date('d'), date('Y')));
		$workbook_head = str_replace("-", " ", $account_name) . " " . $workbook_title;
	}
	
	
	// shipt to = 1 and billto = 2
	if ($billto_or_shipto == "1") {
	
	$sql = "
SELECT DISTINCT DECODE (B.ISBN_13, NULL, 'N', 'Y') FOUND_ISBN, A.ISBN_10, A.ISBN,
		 A.EDITION, A.TITLE, A.AUTHOR, A.ITEM_STATUS, A.OUT_OF_PRINT_DATE,
		 A.PUBLICATION_DATE, A.ISBN_SUB, A.TITLE_SUB, A.EDITION_SUB,
		
		 SHIP_PARTY_NAME ACCOUNT_NAME,
									  A.AUTHOR_SUB
	FROM CANADA_LOAD.WEB_OUT_OF_PRINT A, (SELECT DISTINCT ISBN_13
													 FROM CANADA_LOAD.QUICK_SEARCH
												 GROUP BY ISBN_13) B
   WHERE 1 = 1
		 " . $sql_and_statement . "
		
		 AND SHIP_ACCOUNT_NUMBER = '". $accountNumber ."'
	 
	 AND A.ISBN_SUB = B.ISBN_13(+)
	 AND NVL (A.CORE_OR_SUPPLEMENT, '~') <> 'S'
ORDER BY ITEM_STATUS, OUT_OF_PRINT_DATE DESC";

	} else {

	$sql = "
SELECT DISTINCT DECODE (B.ISBN_13, NULL, 'N', 'Y') FOUND_ISBN, A.ISBN_10, A.ISBN,
		 A.EDITION, A.TITLE, A.AUTHOR, A.ITEM_STATUS, A.OUT_OF_PRINT_DATE,
		 A.PUBLICATION_DATE, A.ISBN_SUB, A.TITLE_SUB, A.EDITION_SUB,
		
		 BILL_PARTY_NAME ACCOUNT_NAME,
									  A.AUTHOR_SUB
	FROM CANADA_LOAD.WEB_OUT_OF_PRINT A, (SELECT DISTINCT ISBN_13
													 FROM CANADA_LOAD.QUICK_SEARCH
												 GROUP BY ISBN_13) B
   WHERE 1 = 1
		 " . $sql_and_statement . "
		
		AND BILL_ACCOUNT_NUMBER = '". $accountNumber ."'
	 
	 AND A.ISBN_SUB = B.ISBN_13(+)
	 AND NVL (A.CORE_OR_SUPPLEMENT, '~') <> 'S'
ORDER BY ITEM_STATUS, OUT_OF_PRINT_DATE DESC";
	

	}

db_connect();

	/*
		LOG USER ACTIVITY
	*/
	
	gatherUserStats('EXPORT-CUSTOM', $accountNumber, 'Division: '.convertDivisionName($division, 2).', Period: '.$period.', Type: '.$type);



	switch ($type) {
	
		case 'csv':
			header("Content-type: text/csv");
			header("Content-Disposition: attachment; filename=". $filename . ".csv");

			$stmt = oci_parse($conn, $sql);
			oci_execute($stmt);
			$nrows = oci_fetch_all($stmt, $results);

		// all fields echo "INVENTORY_ITEM_ID, ISBN_10, ISBN, CORE_OR_SUPPLEMENT, DIVISION, IMPRINT, TITLE, AUTHOR, EDITION, ITEM_STATUS, OUT_OF_PRINT_DATE, OUT_OF_PRINT_MONTH, PUBLICATION_DATE, ACC_BUSINESS_UNIT_DESC, ISBN_SUB, TITLE_SUB, EDITION_SUB, AUTHOR_SUB, CORE_OR_SUPPLEMENT_SUB, ITEM_STATUS_SUB, STATUS_EFFECTIVE_DATE_SUB, BUSINESS_UNIT\n";
		echo "ITEM STATUS,OUT OF PRINT DATE,ISBN,MHE REFERENCE NO.,AUTHOR,TITLE,EDITION,PUBLICATION DATE,ISBN SUB,AUTHOR SUB,TITLE SUB,EDITION SUB\n";
			for ($i=0;$i<=$nrows-1;$i++) {

				// all fields echo $results['INVENTORY_ITEM_ID'][$i] .", ". $results['ISBN_10'][$i] .", ". $results['ISBN'][$i] .", ". $results['CORE_OR_SUPPLEMENT'][$i] .", ". $results['DIVISION'][$i] .", ". replaceComma($results['IMPRINT'][$i]) .", ". replaceComma($results['TITLE'][$i]) .", ". replaceComma($results['AUTHOR'][$i]) .", ". $results['EDITION'][$i] .", ". $results['ITEM_STATUS'][$i] .", ". $results['OUT_OF_PRINT_DATE'][$i] .", ". $results['OUT_OF_PRINT_MONTH'][$i] .", ". replaceComma($results['PUBLICATION_DATE'][$i]) .", ". replaceComma($results['ACC_BUSINESS_UNIT_DESC'][$i]) .", ". $results['ISBN_SUB'][$i] .", ". replaceComma($results['TITLE_SUB'][$i]) .", ". $results['EDITION_SUB'][$i] .", ". replaceComma($results['AUTHOR_SUB'][$i]) .", ". replaceComma($results['CORE_OR_SUPPLEMENT_SUB'][$i]) .", ". replaceComma($results['ITEM_STATUS_SUB'][$i]) .", ". $results['STATUS_EFFECTIVE_DATE_SUB'][$i] .", ". $results['BUSINESS_UNIT'][$i] . "\n";
				echo $results['ITEM_STATUS'][$i] .", ". $results['OUT_OF_PRINT_DATE'][$i] .", ". $results['ISBN'][$i] .", ". $results['ISBN_10'][$i] .", ". replaceComma($results['AUTHOR'][$i]) .", ". replaceComma($results['TITLE'][$i]) .", ". $results['EDITION'][$i] .", ". replaceComma($results['PUBLICATION_DATE'][$i]) .", ". $results['ISBN_SUB'][$i] .", ". replaceComma($results['AUTHOR_SUB'][$i]) .", ". replaceComma($results['TITLE_SUB'][$i]) .", ". $results['EDITION_SUB'][$i] . "\n";
			}
		
		
		break;
		
		case 'xls':
			
			
			$stmt = oci_parse($conn, $sql);
			oci_execute($stmt);
			$nrows = oci_fetch_all($stmt, $results);



			// get number of columns
			//$numColumns = count($results);
			$numColumns = 12;
			
			
			// Creating a workbook
			$workbook = new Spreadsheet_Excel_Writer();
			//$workbook = new Spreadsheet_Excel_Writer($_SERVER['DOCUMENT_ROOT'] . "/outofprint/tmp/mhr_oop_". convertDivisionName($division, 3) . "_" . $month . ".xls");
			
			$workbook->setVersion(8);
			
			// sending HTTP headers
			$workbook->send($filename . ".xls");

			// Creating a worksheet
			$worksheet =& $workbook->addWorksheet($workbook_title);
			
			//pre determined width
			$worksheet->setColumn(0, 0, 16);
			$worksheet->setColumn(1, 1, 15);
			$worksheet->setColumn(2, 2, 16);
			$worksheet->setColumn(3, 3, 20);
			$worksheet->setColumn(4, 4, 25);
			$worksheet->setColumn(5, 5, 60);
			$worksheet->setColumn(6, 6, 15);
			$worksheet->setColumn(7, 7, 25);
			$worksheet->setColumn(8, 8, 15);
			$worksheet->setColumn(9, 9, 15);
			$worksheet->setColumn(10, 10, 33);
			$worksheet->setColumn(11, 11, 15);

			//Setup different styles
			$columnTitleFormat   =& $workbook->addFormat(array('bold'=>1, 'align'=>'center', 'size'=>12, 'bgcolor'=>'black', 'color'=>'white'));
			$columnHeaderFormat  =& $workbook->addFormat(array('align'=>'left', 'size'=>14));
			$columnHeaderFormat2 =& $workbook->addFormat(array('align'=>'left', 'size'=>12));
			$substitutionFormat  =& $workbook->addFormat(array('align'=>'left', 'size'=>14, 'border'=>2));
			$regularFormat       =& $workbook->addFormat(array('size'=>9, 'align'=>'left'));
			$regularFormatCenter =& $workbook->addFormat(array('size'=>9, 'align'=>'center'));
			$linkFormat          =& $workbook->addFormat(array('size'=>9, 'align'=>'center', 'color'=>'blue'));


			//write titles
			$worksheet->write(6, 0, "ITEM STATUS", $columnTitleFormat);
			$worksheet->write(6, 1, "OOP DATE", $columnTitleFormat);
			$worksheet->write(6, 2, "ISBN", $columnTitleFormat);
			$worksheet->write(6, 3, "MHE REF. NO.", $columnTitleFormat);
			$worksheet->write(6, 4, "AUTHOR", $columnTitleFormat);
			$worksheet->write(6, 5, "TITLE", $columnTitleFormat);
			$worksheet->write(6, 6, "EDITION", $columnTitleFormat);
			$worksheet->write(6, 7, "PUBLICATION DATE", $columnTitleFormat);
			$worksheet->write(6, 8, "ISBN", $columnTitleFormat);
			$worksheet->write(6, 9, "AUTHOR", $columnTitleFormat);
			$worksheet->write(6, 10, "TITLE", $columnTitleFormat);
			$worksheet->write(6, 11, "EDITION", $columnTitleFormat);
			
		
			// tell excel write where to start writing rows
			$start_to_write_at_row = 7;
			
			for ($i=0;$i<$nrows;$i++) {
				// $i+$start_to_write_at_row because we have to start writing from Row 2 not 1
				$worksheet->write($i+$start_to_write_at_row, 0, $results['ITEM_STATUS'][$i], $regularFormatCenter);
				$worksheet->write($i+$start_to_write_at_row, 1, $results['OUT_OF_PRINT_DATE'][$i], $regularFormatCenter);
				$worksheet->writeString($i+$start_to_write_at_row, 2, $results['ISBN'][$i], $regularFormatCenter);
				$worksheet->writeString($i+$start_to_write_at_row, 3, $results['ISBN_10'][$i], $regularFormatCenter);
				$worksheet->write($i+$start_to_write_at_row, 4, $results['AUTHOR'][$i], $regularFormatCenter);
				$worksheet->write($i+$start_to_write_at_row, 5, $results['TITLE'][$i], $regularFormat);
				$worksheet->write($i+$start_to_write_at_row, 6, $results['EDITION'][$i], $regularFormatCenter);
				$worksheet->write($i+$start_to_write_at_row, 7, $results['PUBLICATION_DATE'][$i], $regularFormatCenter);
				
				
				if ($results['FOUND_ISBN'][$i] == "Y") {
					// without link $worksheet->writeString($i+$start_to_write_at_row, 8, $results['ISBN_SUB'][$i], $regularFormatCenter);
					if (strlen($results['ISBN_SUB'][$i]) > 1) $worksheet->writeUrl($i+$start_to_write_at_row, 8, "http://www.mcgrawhill.ca/tpm/search/bookinfo.php?isbn=" . $results['ISBN_SUB'][$i], $results['ISBN_SUB'][$i], $linkFormat);
				} else {
					if (strlen($results['ISBN_SUB'][$i]) > 1) $worksheet->writeString($i+$start_to_write_at_row, 8, $results['ISBN_SUB'][$i], $regularFormat);
				}

				
				$worksheet->write($i+$start_to_write_at_row, 9, $results['AUTHOR_SUB'][$i], $regularFormatCenter);
				$worksheet->write($i+$start_to_write_at_row, 10, $results['TITLE_SUB'][$i], $regularFormat);
				$worksheet->write($i+$start_to_write_at_row, 11, $results['EDITION_SUB'][$i], $regularFormatCenter);
			}				
			
			
			//write header
			$worksheet->write(4, 0, "Out of Print Report - " . $workbook_head, $columnHeaderFormat);
			$worksheet->write(5, 0, "Data Exported on " . date('l dS \of F Y'), $columnHeaderFormat2);
			
			//insert link
			$worksheet->writeUrl(4, 5, "http://www.mcgrawhill.ca/outofprint/index.php", "Click here to View Out of Print Reports for all McGraw-Hill publications", $linkFormat2);
			//merge header cells
			$worksheet->mergeCells(4, 0, 4, 4);


			//write substitutions ehader
			$worksheet->write(5, 8, "SUBSTITUTIONS", $substitutionFormat);
			$worksheet->write(5, 9, " ", $substitutionFormat);
			$worksheet->write(5, 10, " ", $substitutionFormat);
			$worksheet->write(5, 11, " ", $substitutionFormat);
			//merge header cells
			$worksheet->mergeCells(5, 8, 5, 11);

			//insert MHR logo and link
			$worksheet->insertBitmap(0, 0, "/web/sites/mcgrawhill.ca/stage/outofprint/images/mhr_logo_bitmap.bmp", 0, 0, 1, 1);
			
			
			
			// freeze title row
			$worksheet->freezePanes(array(7, 0));

			// Let's send the file
			$workbook->close();
		
		
		break;
		
	}
oci_close($conn);


?>