// COPYRIGHT McGraw-Hill Ryerson Ltd 2008
// webmaster@mcgrawhill.ca
function showtip(windowEvent,message, width, height){
	var xCoord=0;
	var yCoord=0;
	var msgDiv;
	var windowWidth;
	var width;
	var windowHeight;
	var height;

	if(!windowEvent) var windowEvent=window.event;

	if(windowEvent.pageX||windowEvent.pageY){
		// firefox
		xCoord=windowEvent.pageX;
		yCoord=windowEvent.pageY;
		windowWidth = window.innerWidth;
		windowHeight = window.innerHeight;
	} else if(windowEvent.clientX||windowEvent.clientY){
		// IE
		xCoord=windowEvent.clientX+document.body.scrollLeft+document.documentElement.scrollLeft;
		yCoord=windowEvent.clientY+document.body.scrollTop+document.documentElement.scrollTop;
		windowWidth = document.documentElement.clientWidth;
		windowHeight = document.documentElement.clientHeight;
	}
	
	msgDiv=document.getElementById('tooltipmsg');
	// if the width of the div plus the xCoord of the mouse
	// is greater than the window width than subtract the div
	// width so the div doesn't overflow off the window
	
	if ((xCoord+width) > windowWidth) {
		msgDiv.style.left=xCoord-width-25+"px";
	} else {
		msgDiv.style.left=xCoord-50+"px";
	}
	
	// if the height of the div plus the yCoord of the mouse
	// is greater than the window height than subtract the div
	// height so the div doesn't overflow off the window
	// but we don't know what the height of the div
	// so the height var is a generalization
	
	if ((yCoord+height) > windowHeight) {
		msgDiv.style.top=yCoord-height+"px";
	} else {
		msgDiv.style.top=yCoord+10+"px";
	}
	

	msgDiv.innerHTML=message;
	msgDiv.style.display="block";
	msgDiv.style.zIndex=20000;

}

function hidetip(){
	var msgDiv;
	msgDiv=document.getElementById('tooltipmsg');
	msgDiv.style.display="none";
}